package cn.axzo.msg.center.inside.notices.service.umeng.ios;


import cn.axzo.msg.center.inside.notices.service.umeng.IOSNotification;

public class IOSUnicast extends IOSNotification {

  public IOSUnicast(String appkey, String CmpAndroidSecret) throws Exception {
    setCmpAndroidSecret(CmpAndroidSecret);
    setPredefinedKeyValue("appkey", appkey);
    this.setPredefinedKeyValue("type", "unicast");
  }

  public void setDeviceToken(String token) throws Exception {
    setPredefinedKeyValue("device_tokens", token);
  }
}
